ZendStudio13.6配置composer.phar和中文镜像、如何更新php项目依赖组件方法

原创|使用教程|编辑:status|2019-09-23 14:49:59.667|阅读 51 次

概述:ZendStudio作为PHP开发者最容易上手的IDE,其中composer作为不常用但是最有用的功能你是否已经会用了呢?本文将列举最新版Zend如果配置中文镜像和更新。

很多php新手开发者在才入门或者尝试入门的时候会走很多冤枉路,总结下来有以下2点:

  1. 选择错误的IDE

  2. 找不到如何入门的方法

小编为新手同学们推荐以下3款PHP编辑工具:

  1. Zendstudio 最适合新手使用的原生开发IDE,整个IDE是针对PHP开发的专业级工具,因此针对性更强、运行更稳定;

  2. 来自Jetbrains的Phpstorm,作为市场上用户群体突破比较快的IDE肯定有其特别的地方,比如UI更美观、属于轻量级的产品,占用空间更小;

  3. 来自微软的Visual Studio Code,曾经从未涉足JAVA、Python等开发领域的工具大佬终于在2015年幡然醒悟,最好的开发工具就是什么语言的软件都能够开发(小编认为notepad++可能是鼻祖),VS code近年来以这一优势席卷了整个开发界,特别是在原来.net开发者基数较大的情况下,一出生就有了大量追随者。其优点在于免费、适合各类开发语言,缺点在于当你需要使用某一种开发语言的时候,你需要安装各种各样的插件以满足运行环境,而且得不到如原生开发工具的良好体验。

ZendStudio操作实例composer更新php项目依赖组件

今天小编来写这篇文章呢并不是为了给大家选择站队的,而是——告诉你怎么在Zend studio中使用composer工具,那么新手同学可以在此环境下快速利用第三方插件完成自己的开发任务!

其实在zendstudio中使用composer很简单,无需安装composer环境,小编把它总结为3步:

  1. 配置composer

    添加composer.phar



    小编使用的环境是PHP7.2,composer.phar 文件可以是从网上下载或者通过安装composer获得,点此下载


  2. 配置composer中文镜像(如果你不希望花1个小时安装100kb的依赖,最好是用中文镜像)

    composer中文镜像配置composer中文镜像配置


    双击项目中的composer.json,进入到配置界面,如图所示填写完成就OK

    注意:Zendstudio13.6之前的版本可以直接在composer.json文件中新增下方节点即可,但是到了13.6之后的版本需要手动配置:

    "repositories": { "packagist": { "type": "composer", "url": "https://packagist.phpcomposer.com" } }


  3. 添加插件/更新插件

    composer dependence


    最后,我们可以通过composer文件添加dependencies,注意,在添加之前请点击右上方的更新按钮(更新composer.phar),这是13.6版本以后位置调整和新的表现方式。 

    您可以通过搜索框找到你想要的依赖项新增即可,如果你有需要更新升级的依赖,你也可以在update composer.phar后选中依赖项,点击UPDATE



标签:

本站文章除注明转载外,均为本站原创或翻译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动成果

登录 慧都网发表评论


暂无评论...

为你推荐

  • 推荐视频
  • 推荐活动
  • 推荐产品
  • 推荐文章
  • 慧都慧问
相关厂商
相关产品
Zend Studio

Zend Studio是新一代的专业级智能PHP IDE(应用程序开发环境)。

PhpStorm

PhpStorm是一个轻量级且便捷的PHP IDE

在线
客服
在线
QQ
电话
咨询
400-700-1020
购物车 反馈 返回
顶部
在线客服系统
live chat